Bug 221308 - Review Request: python-twisted-mail - A Twisted Mail library, server and client
Review Request: python-twisted-mail - A Twisted Mail library, server and client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 171543 221310
  Show dependency treegraph
 
Reported: 2007-01-03 13:50 EST by Thomas Vander Stichele
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-06 06:18:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Vander Stichele 2007-01-03 13:50:26 EST
Spec URL: http://thomas.apestaart.org/download/pkg/fedora-6-x86_64-extras/python-twisted-mail-0.3.0-4.fc6/python-twisted-mail.spec
SRPM URL: http://thomas.apestaart.org/download/pkg/fedora-6-x86_64-extras/python-twisted-mail-0.3.0-4.fc6/python-twisted-mail-0.3.0-4.fc6.src.rpm
Description: Twisted is an event-based framework for internet applications.

Twisted Mail contains high-level, efficient protocol implementations
for both clients and servers of SMTP, POP3, and IMAP4. Additionally,
it contains an "out of the box" combination SMTP/POP3 virtual-hosting
mail server. Also included is a read/write Maildir implementation and
a basic Mail Exchange calculator.
Comment 1 Kevin Fenzi 2007-01-03 23:28:21 EST
In an effort to get these subpackages all reviewed and pushed in, I would be
happy to review this. 

Look for a full review in a bit here. 
Comment 2 Kevin Fenzi 2007-01-03 23:45:46 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (MIT)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream sha1sum/md5sum:
56f65ebb7c35a6efcaf4983af7e015dfb7ab9eac  TwistedMail-0.3.0.tar.bz2
56f65ebb7c35a6efcaf4983af7e015dfb7ab9eac  TwistedMail-0.3.0.tar.bz2.1
33667938b399ee5513c59b5d4087294b  TwistedMail-0.3.0.tar.bz2
33667938b399ee5513c59b5d4087294b  TwistedMail-0.3.0.tar.bz2.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs (i386/x86_64)
OK - Should have dist tag
OK - Should package latest version

Issues:

1. rpmlint says:

E: python-twisted-mail no-binary
(which can be ignored. This package has to be arch since the
entire twisted stack must be due to python-twisted core being so).

I don't see any blockers here... this package is APPROVED.
Don't forget to close this NEXTRELEASE once it's been imported
and built.


Note You need to log in before you can comment on or make changes to this bug.